Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints

## Class AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints.AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant

All Implemented Interfaces:
  `ICodeActionResolvesParticipant`

Direct Known Subclasses:
  `GenerateDocTypeCodeActionResolver`, `GenerateRelaxNGSchemaCodeActionResolver`, `GenerateXMLModelWithDTDCodeActionResolver`, `GenerateXMLModelWithXSDCodeActionResolver`, `GenerateXSINoNamespaceSchemaCodeActionResolver`

    public abstract class AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant
    extends Object
    implements ICodeActionResolvesParticipant

Abstract class to:

- insert the grammar association in the XML (ex : xsi:noNamespaceSchemaLocation)
- generate the grammar XSD/DTD file

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract org.eclipse.lsp4j.TextDocumentEdit` `createFileEdit​(String grammarFileName, DOMDocument document, SharedSettings sharedSettings)`
`protected abstract FileContentGeneratorSettings` `getFileContentGeneratorSettings()`
`org.eclipse.lsp4j.CodeAction` `resolveCodeAction​(ICodeActionResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant

    public AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant()

### Method Detail

#### resolveCodeAction

    public final org.eclipse.lsp4j.CodeAction resolveCodeAction​(ICodeActionResolverRequest request,
                                                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionResolvesParticipant`
Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

Specified by:
  `resolveCodeAction` in interface `ICodeActionResolvesParticipant`
Parameters:
  `request` - the resolve code action request.
  `cancelChecker` - the cancel checker.
Returns:
  the resolved codeAction coming from the unresolved codeAction of the given `request`.

#### createFileEdit

    protected abstract org.eclipse.lsp4j.TextDocumentEdit createFileEdit​(String grammarFileName,
                                                                         DOMDocument document,
                                                                         SharedSettings sharedSettings)
                                                                  throws BadLocationException

Throws:
  `BadLocationException`

#### getFileContentGeneratorSettings

    protected abstract FileContentGeneratorSettings getFileContentGeneratorSettings()